XMPP::Identity Class Reference

`#include <xmpp.h>`

Inheritance diagram for XMPP::Identity:

## Public Member Functions

| Identity (PXMLElement *identity)
| Identity (const PString &category, const PString &type, const PString &name)
const PString & | GetCategory () const
const PString & | GetType () const
const PString & | GetName () const
PXMLElement * | AsXML (PXMLElement *parent) const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

const PString | m_Category
const PString | m_Type
const PString | m_Name

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

## Identity() [1/2]

XMPP::Identity::Identity | ( | PXMLElement * | identity | ) |

## Identity() [2/2]

XMPP::Identity::Identity | ( | const PString & | category,
|  | const PString & | type,
|  | const PString & | name
| ) |  |

## Member Function Documentation

## AsXML()

PXMLElement* XMPP::Identity::AsXML | ( | PXMLElement * | parent | ) | const

## GetCategory()

const PString& XMPP::Identity::GetCategory | ( |  | ) | const

inline

## GetName()

const PString& XMPP::Identity::GetName | ( |  | ) | const

inline

References XMPP::AsXML().

## GetType()

const PString& XMPP::Identity::GetType | ( |  | ) | const

inline

## Member Data Documentation

## m_Category

const PString XMPP::Identity::m_Category

protected

## m_Name

const PString XMPP::Identity::m_Name

protected

## m_Type

const PString XMPP::Identity::m_Type

protected

The documentation for this class was generated from the following file:

- xmpp.h